# $Revision: 1.14 $, $Date: 2007-12-21 12:45:46 $
# TODO:
#	- use system arpack
#
Summary:	A General environment for the treatment of Discrete Problems
Summary(pl.UTF-8):	Środowisko do rozwiązywania problemów dyskretnych
Name:		getdp
Version:	1.2.1
Release:	1
License:	GPL v2
Group:		Applications/Engineering
Source0:	http://geuz.org/getdp/src/%{name}-%{version}-source.tgz
# Source0-md5:	5f5d7cdaeaeea3dcd15ba900e9f7e896
Patch0:		%{name}-make-jN.patch
Patch1:		%{name}-no_etime.patch
URL:		http://www.geuz.org/getdp/
BuildRequires:	gcc-g77
BuildRequires:	gsl-devel
BuildRequires:	texinfo
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GetDP is a scientific software environment for the numerical solution
of integro-differential equations, open to the coupling of physical
problems (electromagnetic, thermal, mechanical, etc) as well as of
numerical methods (finite element method, integral methods, etc). It
can deal with such problems of various dimensions (1D, 2D, 2D
axisymmetric or 3D) and time states (static, transient or harmonic).
The main feature of GetDP is the closeness between the organization of
data defining discrete problems (written by the user in ASCII data
files) and the symbolic mathematical expressions of these problems.

Install GetDP if you need a finite element solver for multiphysic
problems.

%description -l pl.UTF-8
GetDP jest naukowym środowiskiem do numerycznego rozwiązywania równań,
otwartym na różne fizyczne problemy(elektromagnetyczne, termiczne,
mechaniczne...), podobnie jak na metody numeryczne (metoda elementów
skończonych, metody całkowania...). Może rozwiązywać problemy w różnej
liczbie wymiarów (1D, 2D, 2D asymetryczne lub 3D), i różnych stanach
czasu (statyczne, transakcyjne lub harmoniczne). Główną własnością
GetDP jest bliskość pomiędzy organizacją danych definiujących problem
dyskretny (zapisane przez użytkownika w plikach tekstowych) i
symbolicznymi wyrażeniami matematycznymi tego problemu.

Warto zainstalować GetDP jeżeli potrzebujemy narzędzie do
obliczania elementów skończonych dla problemów fizycznych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%{__make}
%{__make} doc-info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_infodir}}

install bin/getdp $RPM_BUILD_ROOT%{_bindir}/getdp
install doc/getdp.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/texinfo/getdp.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/VERSIONS doc/FAQ doc/CREDITS demos README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_infodir}/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: getdp.spec,v $
Revision 1.14  2007-12-21 12:45:46  sls
- added no_etime.patch
- added TODO

Revision 1.13  2007-12-21 11:30:58  sls
- added make-jN.patch

Revision 1.12  2007-02-13 07:16:45  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.10  2006/03/18 23:09:50  maciek2w
- updated to 1.2.1
- rel 1

Revision 1.9  2005/11/28 22:35:16  kali
- updated to 1.1.2

Revision 1.8  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.7  2005/08/22 18:01:16  darekr
- proper License, added README to %doc

Revision 1.6  2005/08/22 17:42:20  darekr
- kill setting perms in %install

Revision 1.5  2005/08/22 17:35:13  undefine
- up to 1.1.0

Revision 1.4  2005/06/01 11:05:41  zbyniu
- BR: texinfo

Revision 1.3  2005/02/06 12:27:50  undefine
- up to 1.0.1

Revision 1.2  2004/09/06 19:55:56  qboosh
- pl fixes, cleanups

Revision 1.1  2004/09/05 13:43:05  undefine
- initital pld version based on included spec
